/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xl.h"


void
init_function(XLISP_ENV * env0,XLISP_ENV * env1,int argc,char ** argv)
{

	init_sh_arg(argc,argv);

	init_symbols(env0,env1);


	init_While(env0);
	init_For(env0);

	init_ListLength(env0);
	init_List(env0);
	init_GetURL(env0);
	init_Parse(env0);
	init__q_xml(env0);
	init_OpenInterpreter(env0);
	init_CloseInterpreter(env0);
	init_Remote(env0);
	init_Local(env0);
	init_LocalEval(env0);
	init_Exit(env1);
	init_CurrentEnvironment(env0);
	init_Eval(env0);
	init_If(env0);
	init_Sequence(env0);
	init_Next(env0);
	init_GetIid(env0);
	init_Arg(env1);
	init_Switch(env0);
	init_SetMainInterpreter(env1);
	init_GetVariable(env1);
	init_Launch(env1);
	init_WaitInterpreter(env0);
	init_GetElement(env0);

        init_ErrHandler(env0);
	init_Lambda(env0);
	init_Define(env0);
	init_DefineDefault(env0);
	init_NewEnvironment(env0);
	init_GetParentEnvironment(env0);
	init_SetParentEnvironment(env0);
	init_CutOut(env0);
	init_Append(env0);
	init_Print(env0);
	init_PrintStd(env0);
	init_PrintChain(env0);
	init_CutString(env0);
	init_StringLength(env0);
	init_GetChar(env0);
	init_SetChar(env0);
	init_MakeElement(env0);

	init_Load(env1);
	init_Save(env1);

	init_Shell(env1);
	init_Export(env1);
	init_GetAttribute(env0);
	init_GetSymbolCore(env0);
	init_ConvertUnit(env0);

	init_SetPrefixMode(env1);
	init_GetPrefixMode(env0);
	init_Get(env0);
	init_SetThisAgentName(env1);
	init_SetDatabasePath(env1);

	init_OpenSession(env0);
	init_CloseSession(env0);
	init_RemoteSession(env0);

	init_GetLocalHostName(env0);
	init_GetLocalHostIP(env0);
	init_GetXLTime(env0);

	init_ComposePath(env0);
	init_ComposeURL(env0);

	init_Trunc(env0);
	init_Leaf(env0);
	init_Directory(env0);
	init_Prefix(env0);

	init_SetResultFormat(env0);

	init_DeleteDefine(env0);
	init_DeleteDefaultDefine(env0);
	init_MoveDefine(env0);

	init_Cast(env0);
	init_DivideString(env0);
	init_Sort(env0);

	init_ListEval(env0);
	init_NewEnvPair(env0);

	init_NaturalJoin(env0);
	init_Projection(env0);
	init_EE(env0);
	init_ReplaceString(env0);
	init_Reverse(env0);

	init_Rule(env1);

	init_MemoryStatistics(env0);

	init_Sleep(env0);

	init_IfDef(env0);
	init_EA(env0);
	init_SetEA(env0);

	init_SetLogPath(env1);

	init_GetProperCode(env0);

	init_GetVersion(env0);

	init_GetCPUStatus(env1);

	init_GetSize(env0);

	init_FindFile(env1);

	init_URLStringCode(env0);
	init_DecodeURLString(env0);

	init_SetAttribute(env0);
	init_GetTag(env0);

	init_Test(env1);

	init_SetScriptPath(env1);

	init_RegCmp(env0);
	init_RegSwitch(env0);
	init_Word2String(env0);

	init_Categorize(env0);
	init_V2H(env0);
	init_GetType(env0);

	init_SetUnit(env0);
	init_GetUnit(env0);

	init_SetProxy(env1);
	init_GetProxy(env0);

	init_Chdir(env1);

	init_UnitSystem(env0);

	init_GetMainInterpreter(env0);

	init_GetXLIinfo(env0);
}
